Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Get triage rule

GET/workspaces/{organizationId}/triage/rules/{ruleId}
Path parameters
organizationIdstringrequired
ruleIdstringrequired
Responses
200

Rule

ruleobjectrequired
Show properties
idstringrequired
organizationIdstringrequired
namestringrequired
recordTypestringrequired
Allowed:leadintake_itemcustomerdealissuesupport_ticket
isActivebooleanrequired
sortOrdernumberrequired
conditionsobjectrequired
Show properties
keywordsstring[]
sourcesstring[]
channelsstring[]
customerDomainsstring[]
teamIdsstring[]
labelIdsstring[]
prioritiesstring[]
statusesstring[]
fieldsobject[]
Show properties
Array of object
fieldstringrequired
min length 1
equalsstring | number | boolean
Show properties
Any of:
string
string
number
number
boolean
boolean
actionobjectrequired
Show properties
One of:
object
typestringrequired
Allowed:delegate
agentIdstringrequired
min length 1
teamIdstring
templateIdstring
titlestring
statusstring
Allowed:triagebacklogtodoin_progressdonecanceled
prioritystring
Allowed:lowmediumhighurgent
labelIdsstring[]
repostring
instructionsstring
dispatchboolean
object
typestringrequired
Allowed:set_status
statusstringrequired
min length 1
createdAtstringrequired
updatedAtstringrequired
404

Not found

Try it
Server
Parameters
Request
curl -X GET '/workspaces/string/triage/rules/string' \
  -H 'Accept: application/json'
Response
{
  "rule": {
    "id": "string",
    "organizationId": "string",
    "name": "string",
    "recordType": "lead",
    "isActive": true,
    "sortOrder": 0,
    "conditions": {
      "keywords": [
        "string"
      ],
      "sources": [
        "string"
      ],
      "channels": [
        "string"
      ],
      "customerDomains": [
        "string"
      ],
      "teamIds": [
        "string"
      ],
      "labelIds": [
        "string"
      ],
      "priorities": [
        "string"
      ],
      "statuses": [
        "string"
      ],
      "fields": [
        {
          "field": "string",
          "equals": "string"
        }
      ]
    },
    "action": {
      "type": "delegate",
      "agentId": "string",
      "teamId": "string",
      "templateId": "string",
      "title": "string",
      "status": "triage",
      "priority": "low",
      "labelIds": [
        "string"
      ],
      "repo": "string",
      "instructions": "string",
      "dispatch": true
    },
    "createdAt": "string",
    "updatedAt": "string"
  }
}

Was this page helpful?